Question: minia assembler - counting kmers 'gatb::core::system::Exception'
0
gravatar for thackl
2.7 years ago by
thackl2.3k
European Union
thackl2.3k wrote:

Hi,

I'm trying to run minia-1.0.3 assemblies for 3Gbp plant genome. During "counting kmers" in dbgh5, I run into gatb::core::system::Exception. Any ideas, what might be the problem or where to look.

dbgh5 \
 -in il-01.fq,il-02.fq,il-03.fq,il-04.fq \
 -kmer-size 31 \
 -out mn-31 \
 -verbose 2 \
 -max-memory 50000 \
 -nb-cores 5

The same happened for -k51 and -k111

| Bank: fasta to binary                                                             |
[------------------------------------------------------ ----------------------------]
| counting kmers                                                                    |
[------terminate called after throwing an instance of 'gatb::core::system::Exception'
/tmp/slurmd/job11884/slurm_script: line 3: 12854 Aborted                 (core dumped) /software/minia/bin/dbgh5 $@
minia • 1.2k views
ADD COMMENTlink modified 2.7 years ago • written 2.7 years ago by thackl2.3k

Where did you find the 1.0.3 version? The website http://minia.genouest.org/ has 1.6906, where the manual.pdf in the archive is dated October, 20, i.e. pretty recent.

ADD REPLYlink written 2.7 years ago by lomereiter390

The current (and future) version of minia now relies on the GATB library, and minia can be downloaded here. The latest version is 1.0.4 (previously misnamed 0.0.1)

The 1.6906 version is in the previous SVN repository; some bugs correction may still be done in this repository but further improvements will be done only on the GATB basis.

 

ADD REPLYlink written 2.7 years ago by edrezen680

Yeah, sorry for the confusion, we're transitioning Minia between the old and the new codebase. The website minia.genouest.org) will be updated shortly to point to the new codebase.

ADD REPLYlink modified 2.7 years ago • written 2.7 years ago by Rayan Chikhi1.2k

Hi,

Could you try the 1.0.4 version of minia (20141207) ?  The 1.0.3 (20140417) is now quite old.

Moreover, v1.0.4 should provide more information if the exception still occurs.

 

ADD REPLYlink written 2.7 years ago by edrezen680

Hi,

just to make sure - I downloaded minia-1.0.4-Linux.tar.gz from GATB website. It extracts to minia-0.1.1. This is the latest version?

ADD REPLYlink written 2.7 years ago by thackl2.3k

yes                       

ADD REPLYlink written 2.7 years ago by Rayan Chikhi1.2k
2
gravatar for thackl
2.7 years ago by
thackl2.3k
European Union
thackl2.3k wrote:

Upgrading to the latest minia-1.0.4 (also referred to as minia-0.1.1) fixed the issue.

Thanks for your help

ADD COMMENTlink written 2.7 years ago by thackl2.3k
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.3.0
Traffic: 698 users visited in the last hour